Subject: Re: [RFC/PATCH] perl: bump the required Perl version to 5.10.0 from 5.8.0

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sun, 24 Dec 2017 17:10:53 +0100

On Sun, Dec 24 2017, Jeff King jotted:

> On Sat, Dec 23, 2017 at 05:44:00PM +0000, Ævar Arnfjörð Bjarmason wrote:
>
>> This is similar to Jeff King's jk/drop-ancient-curl series in that
>> we're dropping perl releases that are rarely tested anymore, however
>> unlike those patches git still works on e.g. 5.8.8 (I couldn't build
>> anything older).
>
> Heh, I'm not sure if those are the best prior art to justify this, since
> I stopped posting them after getting complaints (though I'll admit I was
> considering re-posting them since AFAICT nobody has stepped up to fix
> the breakage after many months).

Less of a justification, more of a "this is going to be a similar sort
of dumpster fire" :)

> This may be more like the recent C99 weather-balloon patches, in that
> we're not using the new features yet, but want to see if anybody screams
> at this first change.
>
>> The reason to do this is to be able to use features released with perl
>> in the last decade, 5.10 was a major feature release including things
>> like new regex features, state variables, the defined-or operator
>> etc.[3]
>>
>> I expect this to be more controversial as since the 5.8 release stayed
>> along for longer in various distributions, e.g. it's the version
>> shipped with RHEL 5, replaced by 5.10 in RHEL 6 released in late 2010,
>> similarly the first Debian release to include 5.10 was 5.0 (Lenny)
>> released in early 2009. The release history for other distributions
>> can be seen on CPAN's "Perl Binaries" page[3].
>
> As far as this actual perl change goes, I don't have a strong opinion. I
> agree it would be nice to eventually move forward, and your reasoning
> about what constitutes "old" seems sane. But we also don't write much
> perl in this project these days, and I don't see a lack of modern perl
> features causing a lot of headaches.

Yes, unlike with the curl patches it's not a big PITA to maintain
compatibility with 5.8, it would just be easier to write new code &
maintain old code and not have to be on guard about not using features
one takes for grantend, and maintain compatibility with 5.8 versions of
core modules.